
Foreman - Bug #1932

Allow LDAP authentication without requiring LDAP search

11/07/2012 04:46 PM - Robert Birnie

Status: Closed   

Priority: Normal   

Assignee: Robert Birnie   

Category: Authentication   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If users are using the $login in the Account and aren't doing on-the-fly creation then there is no reason to search ldap for the

username and then bind, as it's already binded at with that user at that point.

Reason this is important is that if ldap doesn't allow the Foreman Account user to do a search then foreman ldap authentication will

always fail.

History

#1 - 11/07/2012 05:27 PM - Robert Birnie

https://github.com/theforeman/foreman/pull/230

#2 - 01/17/2014 10:27 PM - Robert Birnie

- Status changed from New to Closed

No use leaving tickets close for ever. This is no longer an issue for me because of change of our setup.
